Skip to content

Get 'TaxationRecord'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/taxations/taxationrecord/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/taxations/taxationrecord/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

type_codeinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 100 - Type Code 100

  • 110 - Type Code 110

  • 113 - Type Code 113

  • 120 - Type Code 120

  • 121 - Type Code 121

  • 122 - Type Code 122

  • 180 - Type Code 180

  • 181 - Type Code 181

  • 197 - Type Code 197

  • 199 - Type Code 199

  • 210 - Type Code 210

  • 213 - Type Code 213

  • 220 - Type Code 220

  • 223 - Type Code 223

  • 225 - Type Code 225

  • 230 - Type Code 230

  • 240 - Type Code 240

  • 280 - Type Code 280

  • 281 - Type Code 281

  • 299 - Type Code 299

  • 300 - Type Code 300

  • 310 - Type Code 310

  • 311 - Type Code 311

  • 313 - Type Code 313

  • 320 - Type Code 320

  • 321 - Type Code 321

  • 322 - Type Code 322

  • 323 - Type Code 323

  • 324 - Type Code 324

  • 325 - Type Code 325

  • 326 - Type Code 326

  • 340 - Type Code 340

  • 380 - Type Code 380

  • 381 - Type Code 381

  • 399 - Type Code 399

  • 400 - Type Code 400

  • 411 - Type Code 411

  • 412 - Type Code 412

  • 413 - Type Code 413

  • 414 - Type Code 414

  • 415 - Type Code 415

  • 420 - Type Code 420

  • 421 - Type Code 421

  • 422 - Type Code 422

  • 423 - Type Code 423

  • 424 - Type Code 424

  • 425 - Type Code 425

  • 426 - Type Code 426

  • 430 - Type Code 430

  • 431 - Type Code 431

  • 432 - Type Code 432

  • 433 - Type Code 433

  • 443 - Type Code 443

  • 480 - Type Code 480

  • 481 - Type Code 481

  • 497 - Type Code 497

  • 498 - Type Code 498

  • 499 - Type Code 499

  • 510 - Type Code 510

  • 513 - Type Code 513

  • 520 - Type Code 520

  • 580 - Type Code 580

  • 581 - Type Code 581

  • 610 - Type Code 610

  • 613 - Type Code 613

  • 620 - Type Code 620

  • 699 - Type Code 699

  • 700 - Type Code 700

  • 711 - Type Code 711

  • 712 - Type Code 712

  • 713 - Type Code 713

  • 714 - Type Code 714

  • 715 - Type Code 715

  • 716 - Type Code 716

  • 717 - Type Code 717

  • 718 - Type Code 718

  • 719 - Type Code 719

  • 720 - Type Code 720

  • 730 - Type Code 730

  • 731 - Type Code 731

  • 732 - Type Code 732

  • 733 - Type Code 733

  • 734 - Type Code 734

  • 739 - Type Code 739

  • 740 - Type Code 740

  • 790 - Type Code 790

  • 799 - Type Code 799

  • 810 - Type Code 810

  • 820 - Type Code 820

  • 821 - Type Code 821

  • 822 - Type Code 822

  • 823 - Type Code 823

  • 824 - Type Code 824

  • 825 - Type Code 825

  • 826 - Type Code 826

  • 827 - Type Code 827

  • 828 - Type Code 828

  • 829 - Type Code 829

  • 830 - Type Code 830

  • 890 - Type Code 890

Enum:100110113120121122180181197199
for_yearinteger, (int32), [ 1900 .. 9000 ]required
areanumber, (float)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
decision_datestring or null, (date)
taxation_identifierstring or null
taxation_ruleanyread-only
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "type_code": 100, "for_year": 1900, "decision_date": "2019-08-24", "area": 0.1, "taxation_identifier": "string", "taxation_rule": null, "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }